org.apache.cassandra.db

## Class LegacyLayout.LegacyCell

- java.lang.Object
- - org.apache.cassandra.db.LegacyLayout.LegacyCell

All Implemented Interfaces:
  LegacyLayout.LegacyAtom

Enclosing class:
  LegacyLayout

    public static class LegacyLayout.LegacyCell
    extends java.lang.Object
    implements LegacyLayout.LegacyAtom

A legacy cell.

This is used as a temporary object to facilitate dealing with the legacy format, this is not meant to be optimal.

### Nested Class Summary

Nested Classes
`static class` `LegacyLayout.LegacyCell.Kind`

### Field Summary

Fields
`LegacyLayout.LegacyCell.Kind` `kind`
`int` `localDeletionTime`
`LegacyLayout.LegacyCellName` `name`
`long` `timestamp`
`int` `ttl`
`java.nio.ByteBuffer` `value`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`LegacyLayout.LegacyCell` `asCell()`
`LegacyLayout.LegacyRangeTombstone` `asRangeTombstone()`
`ClusteringPrefix` `clustering()`
`static LegacyLayout.LegacyCell` `counter(LegacyLayout.LegacyCellName name, java.nio.ByteBuffer value)`
`static LegacyLayout.LegacyCell` `counterUpdate(CFMetaData metadata, java.nio.ByteBuffer superColumnName, java.nio.ByteBuffer name, long value)`
`static LegacyLayout.LegacyCell` `expiring(CFMetaData metadata, java.nio.ByteBuffer superColumnName, java.nio.ByteBuffer name, java.nio.ByteBuffer value, long timestamp, int ttl, int nowInSec)`
`boolean` `isCell()`
`boolean` `isCounter()`
`boolean` `isCounterUpdate()`
`boolean` `isExpiring()`
`boolean` `isLive(int nowInSec)`
`boolean` `isStatic()`
`boolean` `isTombstone()`
`static LegacyLayout.LegacyCell` `regular(CFMetaData metadata, java.nio.ByteBuffer superColumnName, java.nio.ByteBuffer name, java.nio.ByteBuffer value, long timestamp)`
`byte` `serializationFlags()`
`static LegacyLayout.LegacyCell` `tombstone(CFMetaData metadata, java.nio.ByteBuffer superColumnName, java.nio.ByteBuffer name, long timestamp, int nowInSec)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### kind

    public final LegacyLayout.LegacyCell.Kind kind

#### name

    public final LegacyLayout.LegacyCellName name

#### value

    public final java.nio.ByteBuffer value

#### timestamp

    public final long timestamp

#### localDeletionTime

    public final int localDeletionTime

#### ttl

    public final int ttl

### Method Detail

#### regular

    public static LegacyLayout.LegacyCell regular(CFMetaData metadata,
                                                  java.nio.ByteBuffer superColumnName,
                                                  java.nio.ByteBuffer name,
                                                  java.nio.ByteBuffer value,
                                                  long timestamp)
                                           throws UnknownColumnException

Throws:
  `UnknownColumnException`

#### expiring

    public static LegacyLayout.LegacyCell expiring(CFMetaData metadata,
                                                   java.nio.ByteBuffer superColumnName,
                                                   java.nio.ByteBuffer name,
                                                   java.nio.ByteBuffer value,
                                                   long timestamp,
                                                   int ttl,
                                                   int nowInSec)
                                            throws UnknownColumnException

Throws:
  `UnknownColumnException`

#### tombstone

    public static LegacyLayout.LegacyCell tombstone(CFMetaData metadata,
                                                    java.nio.ByteBuffer superColumnName,
                                                    java.nio.ByteBuffer name,
                                                    long timestamp,
                                                    int nowInSec)
                                             throws UnknownColumnException

Throws:
  `UnknownColumnException`

#### counterUpdate

    public static LegacyLayout.LegacyCell counterUpdate(CFMetaData metadata,
                                                        java.nio.ByteBuffer superColumnName,
                                                        java.nio.ByteBuffer name,
                                                        long value)
                                                 throws UnknownColumnException

Throws:
  `UnknownColumnException`

#### counter

    public static LegacyLayout.LegacyCell counter(LegacyLayout.LegacyCellName name,
                                                  java.nio.ByteBuffer value)

#### serializationFlags

    public byte serializationFlags()

#### isCounterUpdate

    public boolean isCounterUpdate()

#### clustering

    public ClusteringPrefix clustering()

Specified by:
  `clustering` in interface `LegacyLayout.LegacyAtom`

#### isStatic

    public boolean isStatic()

Specified by:
  `isStatic` in interface `LegacyLayout.LegacyAtom`

#### isCell

    public boolean isCell()

Specified by:
  `isCell` in interface `LegacyLayout.LegacyAtom`

#### asCell

    public LegacyLayout.LegacyCell asCell()

Specified by:
  `asCell` in interface `LegacyLayout.LegacyAtom`

#### asRangeTombstone

    public LegacyLayout.LegacyRangeTombstone asRangeTombstone()

Specified by:
  `asRangeTombstone` in interface `LegacyLayout.LegacyAtom`

#### isCounter

    public boolean isCounter()

#### isExpiring

    public boolean isExpiring()

#### isTombstone

    public boolean isTombstone()

#### isLive

    public boolean isLive(int nowInSec)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`